# BinarizationFilterPreset enum

Preset of parameters for custom binarization filter.

Inheritance
  - Object
  - Enum
  - BinarizationFilterPreset
Available extensions
  - EnumName

## Values

PRESET_1 → const BinarizationFilterPreset

  Very fast, performs well if there are no shadows.

PRESET_2 → const BinarizationFilterPreset

  Performs well even if there are shadows. Binarized barcodes typically remain readable.

PRESET_3 → const BinarizationFilterPreset

  Performs well even if there are shadows.

PRESET_4 → const BinarizationFilterPreset

  Performs well even if there are shadows. Recommended for most use cases involving text documents.

PRESET_5 → const BinarizationFilterPreset

  Performs well even if there are shadows. The preset is an upgrade to PRESET_4 that adds special treatment for high contrast objects such as barcodes. Binarized barcodes typically remain readable.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BinarizationFilterPreset>
  A constant List of the values in this enum, in order of their declaration.